Subject: Re: linux-next: manual merge of the mlx5-next tree with the rdma tree

From: Jason Gunthorpe <[email-masked]>
Date: Mon, 8 Jul 2019 16:09:03 +0000

On Mon, Jul 08, 2019 at 01:28:37PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> On Thu, 4 Jul 2019 12:47:38 +1000 Stephen Rothwell <[email-masked]> wrote:
> >
> > Hi all,
> > 
> > Today's linux-next merge of the mlx5-next tree got a conflict in:
> > 
> >   drivers/infiniband/hw/mlx5/cq.c
> > 
> > between commit:
> > 
> >   e39afe3d6dbd ("RDMA: Convert CQ allocations to be under core responsibility")
> > 
> > from the rdma tree and commit:
> > 
> >   38164b771947 ("net/mlx5: mlx5_core_create_cq() enhancements")
> > 
> > from the mlx5-next tree.
> > 
> > I fixed it up (see below) and can carry the fix as necessary. This
> > is now fixed as far as linux-next is concerned, but any non trivial
> > conflicts should be mentioned to your upstream maintainer when your tree
> > is submitted for merging.  You may also want to consider cooperating
> > with the maintainer of the conflicting tree to minimise any particularly
> > complex conflicts.
> > 
> 
> This is now a conflict between the net-next tree and the rdma tree.

You'll see the mlx5-next merge with rdma tomorrow that will take care
of this

Thanks,
Jason